# Package org.grails.config

- Class Summary
  Class | Description
  --- | ---
  CodeGenConfig | A ConfigMap implementation used at codegen time
  CompositeConfig | A Config composed of other Configs
  EnvironmentAwarePropertySource |
  NavigableMap | deprecated: This class is deprecated to reduce complexity, improve performance, and increase maintainability.
  NavigableMap.NullSafeNavigator | deprecated: This class will be removed in future.
  NavigableMapConfig | A Config implementation that operates against a NavigableMap
  NavigableMapPropertySource | A org.springframework.core.env.PropertySource that doesn't return values for navigable submaps
  PrefixedConfig | A config that accepts a prefix
  PrefixedMapPropertySource | A org.springframework.core.env.PropertySource with keys prefixed by the given prefix
  PropertySourcesConfig | Authors: Graeme Rocher

- Exception Summary
  Exception | Description
  --- | ---
  NavigableMapConfig.ClassConversionException |